#ifndef __CURRENTLENGTH_H
#define __CURRENTLENGTH_H

#ifdef __cplusplus
extern "C" {
#endif

#include "label.h"
#include "sound.h"

#define CR_LENGTH 0
#define CR_TIME 1

class CurrentLength : public Label
{
	public:
		CurrentLength(int w);
		
		virtual void resize(int width, int height);		
		virtual void draw();
	private:
		void reskin();
		
		int lastLength;
		int which;
		
		Sound sound;
		Theme windowManager;
};

#ifdef __cplusplus
}
#endif

#endif
